Summary:        Multi-Language Vulkan/GL/GLES/EGL/GLX/WGL Loader-Generator
Name:           glad
Version:        2.0.4
Release:        4%{?dist}
License:        MIT and Apache-2.0
URL:            https://github.com/Dav1dde/glad
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz #/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
Provides:       glad2 = %{version}-%{release}
Requires:       python3-glad = %{version}-%{release}

%description
Vulkan/GL/GLES/EGL/GLX/WGL Loader-Generator based on the official
specifications for multiple languages.


%package -n     python3-%{name}
Summary:        %{summary}
Provides:       python3-glad2 = %{version}-%{release}

%description -n python3-%{name}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.


%prep
%autosetup
sed -i -e '1{\@^#!@d}' glad/__main__.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files glad


%files
%license LICENSE
%doc README.md
%{_bindir}/glad


%files -n python3-%{name} -f %{pyproject_files}


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 2.0.4-1
- Initial build.
